# Akamai\Open\EdgeGrid\Client::setTimeout

#### Set the HTTP request timeout

## Signature

`public function setTimeout(int $timeout_in_seconds )`

## Parameters

`$timeout_in_seconds` — int

## Returns

$this

## Test Coverage

### Information

- Coverage: 2/2 Lines (100%)
- Tests: 1
- Passed: 1 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testSetTimeout